<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TIGL: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TIGL
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search", false, 'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Groups</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">PregelCommunicator&lt; DATA_CONTAINER_TYPE &gt; Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classPregelCommunicator.html">PregelCommunicator&lt; DATA_CONTAINER_TYPE &gt;</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classPregelCommunicator.html#af0ae3411941092ce8b8c450db50441b1">bytes2Messages</a>(byte *rxBuf, uint32 messageSize, MESSAGE_BUF_TYPE &amp;messageBuf)</td><td class="entry"><a class="el" href="classPregelCommunicator.html">PregelCommunicator&lt; DATA_CONTAINER_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classPregelCommunicator.html#ad0836c0a6713b5084626c053b2609721">dataPtr</a></td><td class="entry"><a class="el" href="classPregelCommunicator.html">PregelCommunicator&lt; DATA_CONTAINER_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPregelCommunicator.html#aae5db25c2cbca8041db476be5c0c66b0">TIGLCommunicationExistMessages</a>()</td><td class="entry"><a class="el" href="classPregelCommunicator.html">PregelCommunicator&lt; DATA_CONTAINER_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classPregelCommunicator.html#a5df944d875839d0008ea80dff2b19451">TIGLCommunicationExistMessagesFromDev</a>(uint32 dev)</td><td class="entry"><a class="el" href="classPregelCommunicator.html">PregelCommunicator&lt; DATA_CONTAINER_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPregelCommunicator.html#a064c422d0aa2b1bc478cf420c4851656">TIGLCommunicationExistMessagesWithTag</a>(int tag)</td><td class="entry"><a class="el" href="classPregelCommunicator.html">PregelCommunicator&lt; DATA_CONTAINER_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classPregelCommunicator.html#adb7a1e64e6f0734f338b8452c964c54c">TIGLCommunicationFindDevice</a>(uint32 vtxID)</td><td class="entry"><a class="el" href="classPregelCommunicator.html">PregelCommunicator&lt; DATA_CONTAINER_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPregelCommunicator.html#a8ab6840262f880fffd8f6645fff27f7c">getRank</a>()</td><td class="entry"><a class="el" href="classPregelCommunicator.html">PregelCommunicator&lt; DATA_CONTAINER_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classPregelCommunicator.html#a0c1fec23444ddd131dd6eac0626ada3b">init</a>(DATA_CONTAINER_TYPE *dPtr, uint32 devices=1, uint32 devRank=0)</td><td class="entry"><a class="el" href="classPregelCommunicator.html">PregelCommunicator&lt; DATA_CONTAINER_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPregelCommunicator.html#a65d86ed247f64d459e354692048afaa0">instRecvMessages</a>()</td><td class="entry"><a class="el" href="classPregelCommunicator.html">PregelCommunicator&lt; DATA_CONTAINER_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classPregelCommunicator.html#aac3d9db0bfd173f6c9d24d06d8ff0a56">isMultipleDevices</a>()</td><td class="entry"><a class="el" href="classPregelCommunicator.html">PregelCommunicator&lt; DATA_CONTAINER_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPregelCommunicator.html#a4ed0400c51a92b59ffa301963d29d28e">messages2Bytes</a>(MESSAGE_BUF_TYPE *messagePtr, byte *outBuf)</td><td class="entry"><a class="el" href="classPregelCommunicator.html">PregelCommunicator&lt; DATA_CONTAINER_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classPregelCommunicator.html#a1d2f789f3c492ab86520f2f9f05e4f7d">numDevices</a></td><td class="entry"><a class="el" href="classPregelCommunicator.html">PregelCommunicator&lt; DATA_CONTAINER_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPregelCommunicator.html#ac9fa67b645c820c2f37cea3dcd36fbd7">PregelCommunicator</a>(DATA_CONTAINER_TYPE *dataPtr, uint32 devices, int rank=0)</td><td class="entry"><a class="el" href="classPregelCommunicator.html">PregelCommunicator&lt; DATA_CONTAINER_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classPregelCommunicator.html#a886da2e5d226022133297f6461033f2a">rank</a></td><td class="entry"><a class="el" href="classPregelCommunicator.html">PregelCommunicator&lt; DATA_CONTAINER_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPregelCommunicator.html#aee3cb003701ef5b21185d3669934f277">TIGLCommunicationRecvMPICommand</a>(byte *rxBuf, uint32 bufSize, int32 src)</td><td class="entry"><a class="el" href="classPregelCommunicator.html">PregelCommunicator&lt; DATA_CONTAINER_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classPregelCommunicator.html#ab775dfabdb5064db6afa65091a538228">TIGLCommunicationRecvMPICommand</a>(byte *rxBuf, uint32 bufSize, int32 src, int tag)</td><td class="entry"><a class="el" href="classPregelCommunicator.html">PregelCommunicator&lt; DATA_CONTAINER_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPregelCommunicator.html#acea08876e4c156436aaf1ba631c74e24">TIGLCommunicationRecvMPICommand</a>(byte *rxBuf, int32 *numMessageBytes)</td><td class="entry"><a class="el" href="classPregelCommunicator.html">PregelCommunicator&lt; DATA_CONTAINER_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classPregelCommunicator.html#ac0c5a6de5c5f1802a46962a2ea7294fc">reset</a>()</td><td class="entry"><a class="el" href="classPregelCommunicator.html">PregelCommunicator&lt; DATA_CONTAINER_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPregelCommunicator.html#acf608880f1a6eec80af5fe638422d94b">sendAllMessages</a>(map&lt; ID_TYPE, MESSAGE_BUF_TYPE &gt; *messagePtr)</td><td class="entry"><a class="el" href="classPregelCommunicator.html">PregelCommunicator&lt; DATA_CONTAINER_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classPregelCommunicator.html#a0b2ec835552c9c7c11914f42f928af0b">sendDataMessages</a>(map&lt; ID_TYPE, MESSAGE_BUF_TYPE &gt; *messagePtr)</td><td class="entry"><a class="el" href="classPregelCommunicator.html">PregelCommunicator&lt; DATA_CONTAINER_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPregelCommunicator.html#aa93cebf937b0f2bea1873a6aa9f9f132">TIGLCommunicationSendMPICommand</a>(byte *txBuf, uint32 bufSize, int32 dst)</td><td class="entry"><a class="el" href="classPregelCommunicator.html">PregelCommunicator&lt; DATA_CONTAINER_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classPregelCommunicator.html#a87e606cfb6aa33ece2ab1ac00d41be24">TIGLCommunicationSendMPICommand</a>(byte *txBuf, uint32 bufSize, int32 dst, int tag)</td><td class="entry"><a class="el" href="classPregelCommunicator.html">PregelCommunicator&lt; DATA_CONTAINER_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPregelCommunicator.html#a8e99d93e817dc4cc4a7d97d34a941d41">sendSysMessages</a>()</td><td class="entry"><a class="el" href="classPregelCommunicator.html">PregelCommunicator&lt; DATA_CONTAINER_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classPregelCommunicator.html#a0b8291a5b8a01bed346f27d6eb2b519e">setNumVertices</a>(uint64 numVertices)</td><td class="entry"><a class="el" href="classPregelCommunicator.html">PregelCommunicator&lt; DATA_CONTAINER_TYPE &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classPregelCommunicator.html#ad2369b8d191a328714ce2c0c9372e1b6">timeCountSS</a></td><td class="entry"><a class="el" href="classPregelCommunicator.html">PregelCommunicator&lt; DATA_CONTAINER_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classPregelCommunicator.html#a9342c483ed8bc1478e5991cac92304a0">totalNumVertices</a></td><td class="entry"><a class="el" href="classPregelCommunicator.html">PregelCommunicator&lt; DATA_CONTAINER_TYPE &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Oct 14 2014 14:29:26 for TIGL by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
